Mozilla: Firefox v příštím roce bude již jen pro Windows 7, Vistu a Win XP SP3

Společnost Mozilla podle svých slov chystá v příštím roce u Firefoxu upustit od podpory operačních systému Windows 2000 a Windows XP se servisními balíčky 1 a 2.


Tato změna se však má týkat až nástupce nyní chystaného Firefoxu 3.5, který by měl být vypuštěn v roce 2010 (pravděpodobně tedy půjde o Firefox 4.0). Důvodem je to, že nově vyvíjený engine Gecko 1.9.2 vyžaduje pro svůj běh minimálně Windows XP s nainstalovaným SP3, informoval Michale Conner, jeden ze softwarových inženýrů Mozilly.

Firefox 3.5, jehož čtvrtá beta verze by měla vyjít někdy v druhé polovině dubna (do třetí bety byl značen jako Firefox 3.1 – více o změně označení najdete v článku Potvrzeno: Příští verze Firefoxu bude 3.5), využívá engine Gecko 1.9.1, který je však také stále ještě ve vývoji. Gecko 1.9.2 by mohl být dokončen kolem poloviny příštího roku a v té době také skončí podpora Microsoftu pro Windows 2000 a Windows XP bez SP3 (konkrétně se tak stane 13. července 2010) a následně budou podporovány jen novější operační systémy. Krok Mozilly se tedy v tomto světle zdá být logický, nehledě na to, že např. podíl Windows 2000 na trhu je navíc podle posledních údajů společnosti Net Applications jen 1,24 %, uživatelé Windows XP se SP1 a SP2 pak sice mají ve většině případů možnost na SP3 kdykoliv svůj systém aktualizovat – ovšem v řadě případů tak úmyslně z nějakého důvodu nečiní (např. majitelé pirátských kopií, kteří záměrně svůj systém neaktualizovali se přechodem na SP3 nevyhnou nainstalování nástroje pro zjišťování legálnosti jejich kopie).

Firefox 3.5 by pak měl být podporován dalších šest měsíců po vypuštění nové verze na trh, což by orientačně vycházelo zhruba do konce roku 2010, upřesňuje Conner.

Mike Beltzner, ředitel projektu Firefox, však v této souvislosti vyjádřil obavy, zda ukončením podpory pro starší operační systémy nezkomplikuje jeho společnost řadě uživatelů život, protože nemá k dispozici přesná čísla o tom, jaké procento uživatelé Windows XP nemá nainstalovaný SP3 a zda jej vůbec mohou nainstalovat. Například Microsoft si ale podobné servítky vůbec nedělá a již Internet Explorer 7 Windows 2000 nepodporoval.

Například Firefox 2.0 bylo možné používat dokonce i na systémech Windows 98 a Windows NT, nicméně uživatelé již nemohli přejít na verzi 3.0, kde tyto OS již podporované nejsou a na Mozillu se proto přivalila řada stížností, protože od začátku letošního roku již Firefox 2.0 není dále podporovaný a uživatelé si musí vybrat – buď používat již neaktualizovanou verzi Firefoxu 2.0 se známými zranitelnostmi a nebo kompletně upgradovat systém na svém počítači, což se ale často neobejde ani bez výrazné hardwarové inovace.











Komentáře